Package org.opensaml.xacml.policy.impl

# Class CombinerParameterTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.CombinerParameterTypeImpl

All Implemented Interfaces:
  `XMLObject`, `CombinerParameterType`, `XACMLObject`

public class CombinerParameterTypeImpl extends AbstractXACMLObject implements CombinerParameterType
Implementation of `CombinerParameterType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`
Parameter name.
`private AttributeValueType`
`value`
Values.

### Fields inherited from interface org.opensaml.xacml.policy.CombinerParameterType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, PARAMETER_NAMEATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CombinerParameterTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttributeValueType`
`getAttributeValue()`
Gets the attribute value type for this parameter.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getParameterName()`
Gets the parameter name.
`void`
`setAttributeValue(AttributeValueType newValue)`
Sets the attribute value type for this parameter.
`void`
`setParameterName(String newName)`
Sets the parameter name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### name

private String name
Parameter name.

### value

private AttributeValueType value
Values.

## Constructor Details

### CombinerParameterTypeImpl

protected CombinerParameterTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeValue

public AttributeValueType getAttributeValue()
Gets the attribute value type for this parameter.

Specified by:
  `getAttributeValue` in interface `CombinerParameterType`
Returns:
  attribute value type for this parameter

### getParameterName

public String getParameterName()
Gets the parameter name.

Specified by:
  `getParameterName` in interface `CombinerParameterType`
Returns:
  the parameter name

### setAttributeValue

public void setAttributeValue(AttributeValueType newValue)
Sets the attribute value type for this parameter.

Specified by:
  `setAttributeValue` in interface `CombinerParameterType`
Parameters:
  `newValue` - attribute value type for this parameter

### setParameterName

public void setParameterName(String newName)
Sets the parameter name.

Specified by:
  `setParameterName` in interface `CombinerParameterType`
Parameters:
  `newName` - the parameter name

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements